%define upstream_name    HTTP-MultiPartParser
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTTP MultiPart Parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This class provides a low-level API for processing MultiPart MIME data
streams conforming to MultiPart types as defined in
http://tools.ietf.org/html/rfc2616#section-3.7.2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 26 2018 bcornec <bcornec> 0.20.0-1.mga6
+ Revision: 1325536
- import perl-HTTP-MultiPartParser from cauldron
- import perl-HTTP-MultiPartParser needed by perl-HTTP-Entity-Parser


* Fri Jul 28 2017 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
